Index: /extensions/floPure/header.tpl
===================================================================
--- /extensions/floPure/header.tpl	(revision 3586)
+++ /extensions/floPure/header.tpl	(revision 3587)
@@ -87,5 +87,4 @@
 		$template->append('header_msgs', l10n('floPure_update_needed'));
 		$name_is_nutd['floPure']=$floPure_conf['version'];
-		//$name_is_nutd['version'][]=$floPure_conf['version'];
 	}
 	$floPure->theme_version_search(PHPWG_ROOT_PATH.'template/floPure/theme');
@@ -93,10 +92,4 @@
 	pwg_set_session_var('flopure_array_version',$name_is_nutd);
 	pwg_set_session_var('flopure_checked_version', true);
-	/*foreach($name_is_nutd as $cle => $val )
-	{
-	$template->append('test_a', array( 'A'=>$cle,'B'=>$val, ) );
-	}*/
-
-	
 }
 else if (is_admin() and  pwg_get_session_var('flopure_array_version') )
@@ -109,19 +102,8 @@
 	$floPure = new floPure();
 	$floPure->display(pwg_get_session_var('flopure_array_version'));
-	/*foreach(pwg_get_session_var('flopure_checked_version') as $cle => $val )
-	{
-	$template->append('test_a', array( 'A'=>$cle,'B'=>$val, ) );
-	}*/
-	$template->append('test_a', array( 'A'=>'a','B'=>'a', ) );
 }
 	//pwg_unset_session_var('flopure_checked_version');
 {/php}
 {$erreur}
-{$test}
-{$URL}
-	{foreach from=$test_a item=test_b}
-	{$test_b.A} / {$test_b.B}<br />
-	{/foreach}
-
 {if not empty($header_msgs)}
 <div class="header_msgs">
Index: /extensions/floPure/theme/autumn/themeconf.inc.php
===================================================================
--- /extensions/floPure/theme/autumn/themeconf.inc.php	(revision 3586)
+++ /extensions/floPure/theme/autumn/themeconf.inc.php	(revision 3587)
@@ -9,5 +9,5 @@
   'local_head' => '<!-- no theme specific head content -->',
   'eid' => '233',
-  'version' => '5.0.1',
+  'version' => '1.0.4',
 );
 ?>
Index: /extensions/floPure/theme/clear_blue/themeconf.inc.php
===================================================================
--- /extensions/floPure/theme/clear_blue/themeconf.inc.php	(revision 3586)
+++ /extensions/floPure/theme/clear_blue/themeconf.inc.php	(revision 3587)
@@ -9,5 +9,5 @@
   'local_head' => '<!-- no theme specific head content -->',
   'eid' => '143',
-  'version' => '5.0.0',
+  'version' => '2.0.5',
 );
 ?>
Index: /extensions/floPure/theme/freaky/themeconf.inc.php
===================================================================
--- /extensions/floPure/theme/freaky/themeconf.inc.php	(revision 3586)
+++ /extensions/floPure/theme/freaky/themeconf.inc.php	(revision 3587)
@@ -8,4 +8,6 @@
   'mime_icon_dir' => 'template/floPure/icon/mimetypes/',
   'local_head' => '<!-- no theme specific head content -->',
+  'eid' => '233',
+  'version' => '1.0.4',
 );
 ?>
Index: /extensions/floPure/theme/green_nature/themeconf.inc.php
===================================================================
--- /extensions/floPure/theme/green_nature/themeconf.inc.php	(revision 3586)
+++ /extensions/floPure/theme/green_nature/themeconf.inc.php	(revision 3587)
@@ -5,6 +5,4 @@
   'template_dir' => 'template/floPure',
   'icon_dir' => 'template/floPure/icon',
- // 'img_dir' => 'template/floPure/theme/green_nature/images',
-
   'admin_icon_dir' => 'template/floPure/icon/admin',
   'mime_icon_dir' => 'template/floPure/icon/mimetypes/',
Index: /extensions/floPure/theme/grey_light/themeconf.inc.php
===================================================================
--- /extensions/floPure/theme/grey_light/themeconf.inc.php	(revision 3586)
+++ /extensions/floPure/theme/grey_light/themeconf.inc.php	(revision 3587)
@@ -8,4 +8,6 @@
   'mime_icon_dir' => 'template/floPure/icon/mimetypes/',
   'local_head' => '<!-- no theme specific head content -->',
+  'eid' => '158',
+  'version' => '2.0.5',
 );
 ?>
Index: /extensions/floPure/theme/grey_plastic/themeconf.inc.php
===================================================================
--- /extensions/floPure/theme/grey_plastic/themeconf.inc.php	(revision 3586)
+++ /extensions/floPure/theme/grey_plastic/themeconf.inc.php	(revision 3587)
@@ -8,4 +8,6 @@
   'mime_icon_dir' => 'template/floPure/icon/mimetypes/',
   'local_head' => '<!-- no theme specific head content -->',
+  'eid' => '158',
+  'version' => '2.0.5',
 );
 ?>
Index: /extensions/floPure/theme/sky/themeconf.inc.php
===================================================================
--- /extensions/floPure/theme/sky/themeconf.inc.php	(revision 3586)
+++ /extensions/floPure/theme/sky/themeconf.inc.php	(revision 3587)
@@ -8,4 +8,6 @@
   'mime_icon_dir' => 'template/floPure/icon/mimetypes/',
   'local_head' => '<!-- no theme specific head content -->',
+  'eid' => '143',
+  'version' => '2.0.5',
 );
 ?>
Index: /extensions/floPure/theme/tr_clear_blue/themeconf.inc.php
===================================================================
--- /extensions/floPure/theme/tr_clear_blue/themeconf.inc.php	(revision 3586)
+++ /extensions/floPure/theme/tr_clear_blue/themeconf.inc.php	(revision 3587)
@@ -8,4 +8,6 @@
   'mime_icon_dir' => 'template/floPure/icon/mimetypes/',
   'local_head' => '<!-- no theme specific head content -->',
+  'eid' => '143',
+  'version' => '2.0.5',
 );
 ?>
Index: /extensions/floPure/tools/language/en_UK/template.lang.php
===================================================================
--- /extensions/floPure/tools/language/en_UK/template.lang.php	(revision 3586)
+++ /extensions/floPure/tools/language/en_UK/template.lang.php	(revision 3587)
@@ -2,7 +2,7 @@
 
 $lang['floPure_update_needed'] = 'Your version of floPure is not up to date : <a href="http://fr.piwigo.org/ext/extension_view.php?eid=135" title="go to the page of the template" target="_blank" >click here to download the last revision of the template floPure</a>';
-	$lang['theme_update_needed_1'] = 'Le thème ';
-	$lang['theme_update_needed_2'] = ' n\'est pas à jour : <a href="http://fr.piwigo.org/ext/extension_view.php?eid=';
-	$lang['theme_update_needed_3'] = '" title="aller à la mise à jour" target="_blank" >cliquez ici pour accéder à la dernière révision du thème ';
+	$lang['theme_update_needed_1'] = 'The theme ';
+	$lang['theme_update_needed_2'] = ' is not up to date : <a href="http://fr.piwigo.org/ext/extension_view.php?eid=';
+	$lang['theme_update_needed_3'] = '" title="go to the page of the theme" target="_blank" >click here to download the last revision of the theme ';
 	$lang['theme_update_needed_4'] = '</a>';
 ?>
Index: /extensions/floPure/tools/version.conf.php
===================================================================
--- /extensions/floPure/tools/version.conf.php	(revision 3586)
+++ /extensions/floPure/tools/version.conf.php	(revision 3587)
@@ -2,5 +2,5 @@
 $floPure_conf = array(
   'name' => 'floPure',
-  'version' => '2.0.1',
+  'version' => '2.1.0',
 );
 