Index: tensions/floOs/Copie de menubar.tpl
===================================================================
--- /extensions/floOs/Copie de menubar.tpl	(revision 3607)
+++ 	(revision )
@@ -1,137 +1,0 @@
-{* $Id: menubar.tpl 2409 2008-07-01 02:09:21Z rvelices $ *}
-<div id="menubar">
-  <table id="table_menu">
-    <tr id="up">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle">&nbsp;</td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    {if not empty($links)}
-    <tr id="Links" class="middle">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle"><dl id="mbLinks">
-          <dt class="titre_acordeon"><img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/small_resizable.png" class="button_res" alt="[_]"><a href="#">{'Links'|@translate}</a></dt>
-          <dd>
-            <ul>
-              {foreach from=$links item=link}
-              <li> <a href="{$link.URL}"
-      {if isset($link.new_window) }onclick="window.open(this.href, '{$link.new_window.NAME|@escape:'javascript'}','{$link.new_window.FEATURES|@escape:'javascript'}'); return false;"{/if}
-    > {$link.LABEL} </a> </li>
-              {/foreach}{*links*}
-            </ul>
-          </dd>
-        </dl></td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    {/if}{*links*}
-    <tr id="Categories" class="middle">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle"> {if isset($U_START_FILTER)} <a href="{$U_START_FILTER}" title="{'start_filter_hint'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_filter.png" class="button" alt="start filter"></a> {/if}
-        {if isset($U_STOP_FILTER)} <a href="{$U_STOP_FILTER}" title="{'stop_filter_hint'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_filter.png" class="button" alt="stop filter"></a> {/if}
-        <dl id="mbCategories">
-          <dt class="titre_acordeon_0"><img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/small_resizable.png" class="button_res" alt="[_]"><a href="#">{'Categories'|@translate}</a></dt>
-          <dd> {$MENU_CATEGORIES_CONTENT}
-            {if isset($U_UPLOAD)} <img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/upload.png" alt="--"/><a href="{$U_UPLOAD}">{'upload_picture'|@translate}</a> {/if}
-            <p class="totalImages">{$pwg->l10n_dec('%d element', '%d elements', $NB_PICTURE)}</p>
-          </dd>
-        </dl></td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    {if not empty($related_tags)}
-    <tr id="Tags" class="middle">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle"><dl id="mbTags">
-          <dt class="titre_acordeon"><img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/small_resizable.png" class="button_res" alt="[_]"><a href="#">{'Related tags'|@translate}</a></dt>
-          <dd>
-            <ul id="menuTagCloud">
-              {foreach from=$related_tags item=tag}
-              <li> {if !empty($tag.U_ADD) } <a href="{$tag.U_ADD}" 
-        title="{$pwg->l10n_dec('%d element are also linked to current tags', '%d elements are also linked to current tags', $tag.counter)}"
-        rel="nofollow"> <img src="{$ROOT_URL}{$themeconf.icon_dir}/add_tag.png" alt="+" /> </a> {/if} <a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{'See elements linked to this tag only'|@translate}">{$tag.name}</a> </li>
-              {/foreach}
-            </ul>
-          </dd>
-        </dl></td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    {/if}
-    <tr id="Special" class="middle">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle"><dl id="mbSpecial">
-          <dt class="titre_acordeon"><img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/small_resizable.png" class="button_res" alt="[_]"><a href="#">{'special_categories'|@translate}</a></dt>
-          <dd>
-            <ul>
-              {foreach from=$special_categories item=cat}
-              <li><a href="{$cat.URL}" title="{$cat.TITLE}" {if isset($cat.REL)}{$cat.REL}{/if}>{$cat.NAME}</a></li>
-              {/foreach}
-            </ul>
-          </dd>
-        </dl></td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    <tr id="Identification" class="middle">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle"><dl id="mbIdentification">
-          <dt class="titre_acordeon"><img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/small_resizable.png" class="button_res" alt="[_]"><a href="#">{'identification'|@translate}</a></dt>
-          <dd> {if isset($USERNAME)}
-            <p>{'hello'|@translate}&nbsp;{$USERNAME}&nbsp;!</p>
-            {/if}
-            <ul>
-              {if isset($U_REGISTER)}
-              <li><a href="{$U_REGISTER}" title="{'Create a new account'|@translate}" rel="nofollow">{'Register'|@translate}</a></li>
-              {/if}
-              
-              {if isset($U_IDENTIFY)}
-              <li><a href="{$U_IDENTIFY}" rel="nofollow">{'Connection'|@translate}</a></li>
-              {/if}
-              
-              {if isset($U_LOGOUT)}
-              <li><a href="{$U_LOGOUT}">{'logout'|@translate}</a></li>
-              {/if}
-              
-              {if isset($U_PROFILE)}
-              <li><a href="{$U_PROFILE}" title="{'hint_customize'|@translate}">{'customize'|@translate}</a></li>
-              {/if}
-              
-              {if isset($U_ADMIN)}
-              <li><a href="{$U_ADMIN}" title="{'hint_admin'|@translate}">{'admin'|@translate}</a></li>
-              {/if}
-            </ul>
-            {if isset($U_IDENTIFY)}
-            <form method="post" action="{$U_IDENTIFY}" class="filter" id="quickconnect">
-              <fieldset>
-              <legend>{'Quick connect'|@translate}</legend>
-              <label> {'Username'|@translate}
-              <input type="text" name="username" size="15" value="">
-              </label>
-              <label> {'Password'|@translate}
-              <input type="password" name="password" size="15">
-              </label>
-              {if $AUTHORIZE_REMEMBERING}
-              <label> {'remember_me'|@translate}
-              <input type="checkbox" name="remember_me" value="1">
-              </label>
-              {/if}
-              <p>
-                <input class="submit" type="submit" name="login" value="{'Submit'|@translate}">
-              </p>
-              <ul class="actions">
-                <li><a href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" class="button" alt="{'Forgot your password?'|@translate}"></a></li>
-                {if isset($U_REGISTER)}
-                <li><a href="{$U_REGISTER}" title="{'Create a new account'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/register.png" class="button" alt="{'Register'|@translate}"/></a></li>
-                {/if}
-              </ul>
-              </fieldset>
-            </form>
-            {/if} </dd>
-        </dl></td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    <tr id="bottom">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle">&nbsp;</td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-  </table>
-</div>
-<!-- menubar -->
Index: tensions/floOs/Copie[2]  de menubar.tpl
===================================================================
--- /extensions/floOs/Copie[2]  de menubar.tpl	(revision 3607)
+++ 	(revision )
@@ -1,137 +1,0 @@
-{* $Id: menubar.tpl 2409 2008-07-01 02:09:21Z rvelices $ *}
-<div id="menubar">
-  <table id="table_menu">
-    <tr id="up">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle">&nbsp;</td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    {if not empty($links)}
-    <tr id="Links" class="middle">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle"><dl id="mbLinks">
-          <dt class="titre_acordeon"><img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/small_resizable.png" class="button_res" alt="[_]"><a href="#">{'Links'|@translate}</a></dt>
-          <dd>
-            <ul>
-              {foreach from=$links item=link}
-              <li> <a href="{$link.URL}"
-      {if isset($link.new_window) }onclick="window.open(this.href, '{$link.new_window.NAME|@escape:'javascript'}','{$link.new_window.FEATURES|@escape:'javascript'}'); return false;"{/if}
-    > {$link.LABEL} </a> </li>
-              {/foreach}{*links*}
-            </ul>
-          </dd>
-        </dl></td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    {/if}{*links*}
-    <tr id="Categories" class="middle">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle"> {if isset($U_START_FILTER)} <a href="{$U_START_FILTER}" title="{'start_filter_hint'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_filter.png" class="button" alt="start filter"></a> {/if}
-        {if isset($U_STOP_FILTER)} <a href="{$U_STOP_FILTER}" title="{'stop_filter_hint'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_filter.png" class="button" alt="stop filter"></a> {/if}
-        <dl id="mbCategories">
-          <dt class="titre_acordeon_0"><img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/small_resizable.png" class="button_res" alt="[_]"><a href="#">{'Categories'|@translate}</a></dt>
-          <dd> {$MENU_CATEGORIES_CONTENT}
-            {if isset($U_UPLOAD)} <img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/upload.png" alt="--"/><a href="{$U_UPLOAD}">{'upload_picture'|@translate}</a> {/if}
-            <p class="totalImages">{$pwg->l10n_dec('%d element', '%d elements', $NB_PICTURE)}</p>
-          </dd>
-        </dl></td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    {if not empty($related_tags)}
-    <tr id="Tags" class="middle">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle"><dl id="mbTags">
-          <dt class="titre_acordeon"><img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/small_resizable.png" class="button_res" alt="[_]"><a href="#">{'Related tags'|@translate}</a></dt>
-          <dd>
-            <ul id="menuTagCloud">
-              {foreach from=$related_tags item=tag}
-              <li> {if !empty($tag.U_ADD) } <a href="{$tag.U_ADD}" 
-        title="{$pwg->l10n_dec('%d element are also linked to current tags', '%d elements are also linked to current tags', $tag.counter)}"
-        rel="nofollow"> <img src="{$ROOT_URL}{$themeconf.icon_dir}/add_tag.png" alt="+" /> </a> {/if} <a href="{$tag.URL}" class="tagLevel{$tag.level}" title="{'See elements linked to this tag only'|@translate}">{$tag.name}</a> </li>
-              {/foreach}
-            </ul>
-          </dd>
-        </dl></td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    {/if}
-    <tr id="Special" class="middle">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle"><dl id="mbSpecial">
-          <dt class="titre_acordeon"><img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/small_resizable.png" class="button_res" alt="[_]"><a href="#">{'special_categories'|@translate}</a></dt>
-          <dd>
-            <ul>
-              {foreach from=$special_categories item=cat}
-              <li><a href="{$cat.URL}" title="{$cat.TITLE}" {if isset($cat.REL)}{$cat.REL}{/if}>{$cat.NAME}</a></li>
-              {/foreach}
-            </ul>
-          </dd>
-        </dl></td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    <tr id="Identification" class="middle">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle"><dl id="mbIdentification">
-          <dt class="titre_acordeon"><img src="{$ROOT_URL}{$themeconf.icon_dir}/menu/small_resizable.png" class="button_res" alt="[_]"><a href="#">{'identification'|@translate}</a></dt>
-          <dd> {if isset($USERNAME)}
-            <p>{'hello'|@translate}&nbsp;{$USERNAME}&nbsp;!</p>
-            {/if}
-            <ul>
-              {if isset($U_REGISTER)}
-              <li><a href="{$U_REGISTER}" title="{'Create a new account'|@translate}" rel="nofollow">{'Register'|@translate}</a></li>
-              {/if}
-              
-              {if isset($U_IDENTIFY)}
-              <li><a href="{$U_IDENTIFY}" rel="nofollow">{'Connection'|@translate}</a></li>
-              {/if}
-              
-              {if isset($U_LOGOUT)}
-              <li><a href="{$U_LOGOUT}">{'logout'|@translate}</a></li>
-              {/if}
-              
-              {if isset($U_PROFILE)}
-              <li><a href="{$U_PROFILE}" title="{'hint_customize'|@translate}">{'customize'|@translate}</a></li>
-              {/if}
-              
-              {if isset($U_ADMIN)}
-              <li><a href="{$U_ADMIN}" title="{'hint_admin'|@translate}">{'admin'|@translate}</a></li>
-              {/if}
-            </ul>
-            {if isset($U_IDENTIFY)}
-            <form method="post" action="{$U_IDENTIFY}" class="filter" id="quickconnect">
-              <fieldset>
-              <legend>{'Quick connect'|@translate}</legend>
-              <label> {'Username'|@translate}
-              <input type="text" name="username" size="15" value="">
-              </label>
-              <label> {'Password'|@translate}
-              <input type="password" name="password" size="15">
-              </label>
-              {if $AUTHORIZE_REMEMBERING}
-              <label> {'remember_me'|@translate}
-              <input type="checkbox" name="remember_me" value="1">
-              </label>
-              {/if}
-              <p>
-                <input class="submit" type="submit" name="login" value="{'Submit'|@translate}">
-              </p>
-              <ul class="actions">
-                <li><a href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" class="button" alt="{'Forgot your password?'|@translate}"></a></li>
-                {if isset($U_REGISTER)}
-                <li><a href="{$U_REGISTER}" title="{'Create a new account'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/register.png" class="button" alt="{'Register'|@translate}"/></a></li>
-                {/if}
-              </ul>
-              </fieldset>
-            </form>
-            {/if} </dd>
-        </dl></td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-    <tr id="bottom">
-      <td class="mb_left">&nbsp;</td>
-      <td class="mb_middle">&nbsp;</td>
-      <td class="mb_right">&nbsp;</td>
-    </tr>
-  </table>
-</div>
-<!-- menubar -->