Index: /extensions/PWG_Stuffs/modules/piclenswall/main.inc.php
===================================================================
--- /extensions/PWG_Stuffs/modules/piclenswall/main.inc.php	(revision 3612)
+++ /extensions/PWG_Stuffs/modules/piclenswall/main.inc.php	(revision 3613)
@@ -44,4 +44,41 @@
   $block['SWF_LINK'] = (@$obj->my_config['piclens_wall_swflocal'] ? @$obj->root_site_piclens.PICLENS_PATH.'swf/cooliris.swf' : 'http://apps.cooliris.com/embed/cooliris.swf');
   $block['NBLIGNE'] = (isset($obj->my_config['piclens_wall_nb_ligne']) ? @$obj->my_config['piclens_wall_nb_ligne'] : "3");
+
+  if (isset($obj->my_config['piclens_wall_showChrome']))
+    $block['showChrome'] = (@$obj->my_config['piclens_wall_showChrome'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showDescription']))
+    $block['showDescription'] = (@$obj->my_config['piclens_wall_showDescription'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showReflections']))
+    $block['showReflections'] = (@$obj->my_config['piclens_wall_showReflections'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showTutorial']))
+    $block['showTutorial'] = (@$obj->my_config['piclens_wall_showTutorial'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showNavArrows']))
+    $block['showNavArrows'] = (@$obj->my_config['piclens_wall_showNavArrows'] ? "true" : "false");
+  
+  $block['backgroundAlpha'] = isset($obj->my_config['piclens_wall_backgroundAlpha']) ? $obj->my_config['piclens_wall_backgroundAlpha'] : "1.0";
+  if (isset($obj->my_config['piclens_wall_backgroundColor']))
+    $block['backgroundColor'] = str_replace('#', '%23', @$obj->my_config['piclens_wall_backgroundColor']) ;
+  if (isset($obj->my_config['piclens_wall_glowColor']))
+    $block['glowColor'] = str_replace('#', '%23', @$obj->my_config['piclens_wall_glowColor']);
+  if (isset($obj->my_config['piclens_wall_descriptionHeight']))
+    $block['descriptionHeight'] = @$obj->my_config['piclens_wall_descriptionHeight'];
+  if (isset($obj->my_config['piclens_wall_tilt']))
+    $block['tilt'] = $obj->my_config['piclens_wall_tilt'];
+
+    if (isset($obj->my_config['piclens_wall_backgroundImage']) and !empty($obj->my_config['piclens_wall_backgroundImage']))
+        $block['backgroundImage'] = @$obj->my_config['piclens_wall_backgroundImage'];
+
+    if (isset($obj->my_config['piclens_wall_tutorial']) and !empty($obj->my_config['piclens_wall_tutorial']))
+        $block['tutorial'] = (empty($obj->my_config['piclens_wall_tutorialtime']) ? "4500" : @$obj->my_config['piclens_wall_tutorialtime']).','.@$obj->my_config['piclens_wall_tutorial'];		
+
+
+	if (isset($obj->my_config['piclens_wall_customButtonURL']) and !empty($obj->my_config['piclens_wall_customButtonURL']))
+        $block['customButton'] = @$obj->my_config['piclens_wall_customButtonURL'].(empty($obj->my_config['piclens_wall_customButtonTARGET']) ? ','.PICLENS_PATH : ','.@$obj->my_config['piclens_wall_customButtonTARGET']); 
+
+    if (isset($obj->my_config['piclens_wall_icons']) and !empty($obj->my_config['piclens_wall_icons']))
+        $block['icons'] = @$obj->my_config['piclens_wall_icons']; 
+    if (isset($obj->my_config['piclens_wall_linkCSS']) and !empty($obj->my_config['piclens_wall_linkCSS']))
+        $block['icons'] = @$obj->my_config['piclens_wall_linkCSS']; 
+
   
 }
Index: /extensions/PWG_Stuffs/template/piclenswall.tpl
===================================================================
--- /extensions/PWG_Stuffs/template/piclenswall.tpl	(revision 3612)
+++ /extensions/PWG_Stuffs/template/piclenswall.tpl	(revision 3613)
@@ -1,14 +1,15 @@
 {if !empty($block.RSSFEED)}
 <object id="o" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="100%" height="{$block.PIC_HEIGHT}">
-		<param name="movie" value="{$block.SWF_LINK}?feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}&amp;showEmbed={$block.SHOWEMBED}&amp;showFullScreen={$block.SHOWFULLSCREEN}&amp;showSearch={$block.SHOWSEARCH}" />
-		<param name="allowFullScreen" value="{$block.SHOWFULLSCREEN}" />
-		<param name="showEmbed" value="{$block.SHOWEMBED}" />
-		<param name="showSearch" value="{$block.SHOWSEARCH}" />
-		<param name="allowScriptAccess" value="always" />
-        <param name="flashvars" value="feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}" />
-		{if $block.TRANSPARENT}
-		<param name="wmode" value="transparent" />
+        <param name="movie" value="{$block.SWF_LINK}?feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}&amp;showEmbed={$block.SHOWEMBED}&amp;showFullScreen={$block.SHOWFULLSCREEN}&amp;showSearch={$block.SHOWSEARCH}{if isset($block.showChrome)}&amp;showChrome={$block.showChrome}{/if}{if isset($block.showDescription)}&amp;showDescription={$block.showDescription}{/if}{if isset($block.showReflections)}&amp;showReflections={$block.showReflections}{/if}{if isset($block.showTutorial)}&amp;showTutorial={$block.showTutorial}{/if}{if isset($block.showNavArrows)}&amp;showNavArrows={$block.showNavArrows}{/if}{if isset($block.backgroundAlpha)}&amp;backgroundAlpha={$block.backgroundAlpha}{/if}{if isset($block.backgroundColor)}&amp;backgroundColor={$block.backgroundColor}{/if}{if isset($block.glowColor)}&amp;glowColor={$block.glowColor}{/if}{if isset($block.descriptionHeight)}&amp;descriptionHeight={$block.descriptionHeight}{/if}{if isset($block.tilt)}&amp;tilt={$block.tilt}{/if}{if isset($block.backgroundImage)}&amp;backgroundImage={$block.backgroundImage}{/if}{if isset($block.tutorial)}&amp;tutorial={$block.tutorial}{/if}{if isset($block.customButton)}&amp;customButton={$block.customButton}{/if}{if isset($block.icons)}&amp;icons={$block.icons}{/if}{if isset($block.linkCSS)}&amp;linkCSS={$block.linkCSS}{/if}" />
+        <param name="allowFullScreen" value="{$block.SHOWFULLSCREEN}" />
+        <param name="showEmbed" value="{$block.SHOWEMBED}" />
+        <param name="showSearch" value="{$block.SHOWSEARCH}" />
+        <param name="allowScriptAccess" value="always" />
+        <param name="flashvars" value="feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}{if isset($block.showChrome)}&amp;showChrome={$block.showChrome}{/if}{if isset($block.showDescription)}&amp;showDescription={$block.showDescription}{/if}{if isset($block.showReflections)}&amp;showReflections={$block.showReflections}{/if}{if isset($block.showTutorial)}&amp;showTutorial={$block.showTutorial}{/if}{if isset($block.showNavArrows)}&amp;showNavArrows={$block.showNavArrows}{/if}{if isset($block.backgroundAlpha)}&amp;backgroundAlpha={$block.backgroundAlpha}{/if}{if isset($block.backgroundColor)}&amp;backgroundColor={$block.backgroundColor}{/if}{if isset($block.glowColor)}&amp;glowColor={$block.glowColor}{/if}{if isset($block.descriptionHeight)}&amp;descriptionHeight={$block.descriptionHeight}{/if}{if isset($block.tilt)}&amp;tilt={$block.tilt}{/if}{if isset($block.backgroundImage)}&amp;backgroundImage={$block.backgroundImage}{/if}{if isset($block.tutorial)}&amp;tutorial={$block.tutorial}{/if}{if isset($block.customButton)}&amp;customButton={$block.customButton}{/if}{if isset($block.icons)}&amp;icons={$block.icons}{/if}{if isset($block.linkCSS)}&amp;linkCSS={$block.linkCSS}{/if}" />
+        {if $block.TRANSPARENT}
+        <param name="wmode" value="transparent" />
     {/if}
-		<embed {if $block.TRANSPARENT}WMODE="transparent" {/if}type="application/x-shockwave-flash" src="{$block.SWF_LINK}?feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}&amp;showEmbed={$block.SHOWEMBED}&amp;showFullScreen={$block.SHOWFULLSCREEN}&amp;showSearch={$block.SHOWSEARCH}" width="100%" height="{$block.PIC_HEIGHT}" showEmbed="{$block.SHOWEMBED}" showSearch="{$block.SHOWSEARCH}" allowFullScreen="{$block.SHOWFULLSCREEN}" allowScriptAccess="always"  style="{$block.COLOR}" numRows="{$block.NBLIGNE}"/>
+        <embed {if $block.TRANSPARENT}WMODE="transparent" {/if}type="application/x-shockwave-flash" src="{$block.SWF_LINK}?feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}&amp;showEmbed={$block.SHOWEMBED}&amp;showFullScreen={$block.SHOWFULLSCREEN}&amp;showSearch={$block.SHOWSEARCH}{if isset($block.showChrome)}&amp;showChrome={$block.showChrome}{/if}{if isset($block.showDescription)}&amp;showDescription={$block.showDescription}{/if}{if isset($block.showReflections)}&amp;showReflections={$block.showReflections}{/if}{if isset($block.showTutorial)}&amp;showTutorial={$block.showTutorial}{/if}{if isset($block.showNavArrows)}&amp;showNavArrows={$block.showNavArrows}{/if}{if isset($block.backgroundAlpha)}&amp;backgroundAlpha={$block.backgroundAlpha}{/if}{if isset($block.backgroundColor)}&amp;backgroundColor={$block.backgroundColor}{/if}{if isset($block.glowColor)}&amp;glowColor={$block.glowColor}{/if}{if isset($block.descriptionHeight)}&amp;descriptionHeight={$block.descriptionHeight}{/if}{if isset($block.tilt)}&amp;tilt={$block.tilt}{/if}{if isset($block.backgroundImage)}&amp;backgroundImage={$block.backgroundImage}{/if}{if isset($block.tutorial)}&amp;tutorial={$block.tutorial}{/if}{if isset($block.customButton)}&amp;customButton={$block.customButton}{/if}{if isset($block.icons)}&amp;icons={$block.icons}{/if}{if isset($block.linkCSS)}&amp;linkCSS={$block.linkCSS}{/if}" width="100%" height="{$block.PIC_HEIGHT}" showEmbed="{$block.SHOWEMBED}" showSearch="{$block.SHOWSEARCH}" allowFullScreen="{$block.SHOWFULLSCREEN}" allowScriptAccess="always"  style="{$block.COLOR}" numRows="{$block.NBLIGNE} {if isset($block.showChrome)}showChrome="{$block.showChrome}"{/if} {if isset($block.showDescription)}showDescription="{$block.showDescription}"{/if} {if isset($block.showReflections)}showReflections="{$block.showReflections}"{/if} {if isset($block.showTutorial)}showTutorial="{$block.showTutorial}"{/if} {if isset($block.showNavArrows)}showNavArrows="{$block.showNavArrows}"{/if} {if isset($block.backgroundAlpha)}backgroundAlpha="{$block.backgroundAlpha}"{/if} {if isset($block.backgroundColor)}backgroundColor="{$block.backgroundColor}"{/if} {if isset($block.glowColor)}glowColor="{$block.glowColor}"{/if} {if isset($block.descriptionHeight)}descriptionHeight="{$block.descriptionHeight}"{/if} {if isset($block.tilt)}tilt="{$block.tilt}"{/if} {if isset($block.backgroundImage)}backgroundImage="{$block.backgroundImage}"{/if} {if isset($block.tutorial)}tutorial="{$block.tutorial}"{/if} {if isset($block.customButton)}customButton="{$block.customButton}"{/if} {if isset($block.icons)}icons="{$block.icons}"{/if} {if isset($block.linkCSS)}linkCSS="{$block.linkCSS}"{/if}/>
 </object>
 {/if}
+    