Index: /extensions/piclens/admin/piclenswallconfig2.tpl
===================================================================
--- /extensions/piclens/admin/piclenswallconfig2.tpl	(revision 3613)
+++ /extensions/piclens/admin/piclenswallconfig2.tpl	(revision 3614)
@@ -106,9 +106,9 @@
 		<tr>
 			<td align="right">{'piclens_wallcfg_backgroundImage'|@translate}&nbsp;</td>
-			<td><input type="text" size="40" maxlength="70" name="piclens_wall_backgroundImage" value="{$PICLENS_WALL_BACKGROUNDIMAGE}" /></td>
+			<td><input type="text" size="40" maxlength="200" name="piclens_wall_backgroundImage" value="{$PICLENS_WALL_BACKGROUNDIMAGE}" /></td>
 		</tr>
 		<tr>
 			<td align="right">{'piclens_wallcfg_tutorial'|@translate}&nbsp;</td>
-			<td><input type="text" size="40" maxlength="70" name="piclens_wall_tutorial" value="{$PICLENS_WALL_TUTORIAL}" /></td>
+			<td><input type="text" size="40" maxlength="200" name="piclens_wall_tutorial" value="{$PICLENS_WALL_TUTORIAL}" /></td>
 		</tr>
 		<tr>
@@ -119,9 +119,9 @@
 		<tr>
 			<td align="right">{'piclens_wallcfg_customButtonURL'|@translate}&nbsp;</td>
-			<td><input type="text" size="40" maxlength="70" name="piclens_wall_customButtonURL" value="{$PICLENS_WALL_CUSTOMBUTTONURL}" /></td>
+			<td><input type="text" size="40" maxlength="200" name="piclens_wall_customButtonURL" value="{$PICLENS_WALL_CUSTOMBUTTONURL}" /></td>
 		</tr>		
         <tr>
 			<td align="right">{'piclens_wallcfg_customButtonTARGET'|@translate}&nbsp;</td>
-			<td><input type="text" size="40" maxlength="70" name="piclens_wall_customButtonTARGET" value="{$PICLENS_WALL_CUSTOMBUTTONTARGET}" /></td>
+			<td><input type="text" size="40" maxlength="200" name="piclens_wall_customButtonTARGET" value="{$PICLENS_WALL_CUSTOMBUTTONTARGET}" /></td>
 		</tr>		
 
@@ -129,5 +129,5 @@
 		</tr>		<tr>
 			<td align="right">{'piclens_wallcfg_icons'|@translate}&nbsp;</td>
-			<td><input type="text" size="40" maxlength="70" name="piclens_wall_icons" value="{$PICLENS_WALL_ICONS}" /></td>
+			<td><input type="text" size="40" maxlength="200" name="piclens_wall_icons" value="{$PICLENS_WALL_ICONS}" /></td>
 		</tr>		
 		</tr>
Index: /extensions/piclens/admin/rssfeed.php
===================================================================
--- /extensions/piclens/admin/rssfeed.php	(revision 3613)
+++ /extensions/piclens/admin/rssfeed.php	(revision 3614)
@@ -29,7 +29,7 @@
 $normal_list = array(l10n('piclens_label_TypeTN'), l10n('piclens_label_TypeNorm'), l10n('piclens_label_TypeHigh'));
 //$nameformat_list = array('Nom vignette : taille', 'Nom vignette', 'Nom de l\'image');
-$nameformat_list = array(l10n('piclens_label_Name1'), l10n('piclens_label_Name2'), l10n('piclens_label_Name3'));
+//$nameformat_list = array(l10n('piclens_label_Name1'), l10n('piclens_label_Name2'), l10n('piclens_label_Name3'));
 //$descformat_list = array('Rien', 'Nom de l\'image', 'Description de l\'image');
-$descformat_list = array(l10n('piclens_label_Desc1'), l10n('piclens_label_Desc2'), l10n('piclens_label_Desc3'));
+//$descformat_list = array(l10n('piclens_label_Desc1'), l10n('piclens_label_Desc2'), l10n('piclens_label_Desc3'));
  
  
@@ -48,6 +48,6 @@
                           array(); 
   $me->my_config['included_file_types'] = $included_file_types;
-  $me->my_config['piclens_name_image'] = $_POST['piclens_name_image'];
-  $me->my_config['piclens_name_desc'] = $_POST['piclens_name_desc'];
+//  $me->my_config['piclens_name_image'] = $_POST['piclens_name_image'];
+//  $me->my_config['piclens_name_desc'] = $_POST['piclens_name_desc'];
   $me->my_config['piclens_video'] = isset($_POST['piclens_video']);
   $me->my_config['piclens_cat_view'] = isset($_POST['piclens_cat_view']);
@@ -59,4 +59,10 @@
 	$me->my_config['piclens_sort_cat'] = 1;		// defaut PIWIGO
 
+  $me->my_config['piclens_rss_name'] = $_POST['piclens_rss_name'];
+  $me->my_config['piclens_rss_desc'] = $_POST['piclens_rss_desc'];
+    
+
+
+    
   $me->save_config();
   array_push($page['infos'], l10n('piclens_admin_saveOK'));
@@ -70,5 +76,4 @@
 	$i++;	
 }
-//$template->assign('PICLENS_THUMB', $me->my_config['piclens_thumb']);
 
 // Affichage des choix normal possibles pour Piclens
@@ -79,5 +84,4 @@
 	$i++;	
 }
-//$template->assign('PICLENS_NORMAL', $me->my_config['piclens_normal']);
 
 
@@ -89,5 +93,4 @@
 	$i++;	
 }
-//$template->assign('PICLENS_ORDER', $me->my_config['piclens_order']);
 
 // Affichage des tri possibles pour Piclens - CATEGORIES
@@ -98,5 +101,4 @@
 	$i++;	
 }
-//$template->assign('PICLENS_ORDER_CAT', $me->my_config['piclens_order_cat']);
 
 // Affichage de l'ordre possibles pour Piclens
@@ -116,28 +118,4 @@
 	$i++;	
 }
-//$template->assign('PICLENS_SORT_CAT', $me->my_config['piclens_sort_cat']);
-
-/*ù
-// Selection type de fichier autorise
-$query = '
-  SELECT DISTINCT(tn_ext)
-  FROM '.IMAGES_TABLE.';';
-
-$result = pwg_query($query);
-if (!empty($result)) {
-
-  while ($row = mysql_fetch_assoc($result)) {
-  if (empty($row['tn_ext']))
-	$row['tn_ext']='!NULL!';
-  $template->append(
-      'file_types',
-      array('SELECTED' => (!empty($me->my_config['included_file_types']) && in_array($row['tn_ext'], $me->my_config['included_file_types'] )) ? 'selected' : '',
-            'VALUE' => $row['tn_ext'],
-            'OPTION' => $row['tn_ext']
-           )
-    );
-  }
-}
-*/
 
 // Selection des groupes
@@ -148,5 +126,5 @@
 }
 
-
+/*
 // Affichage des types d'affichage de nom image dans piclens
 $i=1;
@@ -156,5 +134,4 @@
 	$i++;	
 }
-//$template->assign('PICLENS_NAME_IMAGE', $me->my_config['piclens_name_image']);
 
 // Affichage des types d'affichage de description image dans piclens
@@ -165,8 +142,10 @@
 	$i++;	
 }
-//$template->assign('PICLENS_NAME_DESC', $me->my_config['piclens_name_desc']);
-
+*/
 $template->assign('PICLENS_VIDEO', $me->my_config['piclens_video'] ? 'checked="checked"' : '' );
 $template->assign('PICLENS_CAT_VIEW', $me->my_config['piclens_cat_view'] ? 'checked="checked"' : '' );
+$template->assign('PICLENS_RSS_NAME', $me->my_config['piclens_rss_name']);
+$template->assign('PICLENS_RSS_DESC', $me->my_config['piclens_rss_desc']);
+
 
 $template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
Index: /extensions/piclens/admin/rssfeed.tpl
===================================================================
--- /extensions/piclens/admin/rssfeed.tpl	(revision 3613)
+++ /extensions/piclens/admin/rssfeed.tpl	(revision 3614)
@@ -129,36 +129,4 @@
 	<TR>
 		<TD > 
-			 - {'piclens_rsscfg_name'|@translate}
-		</TD > 
-		<TD> 		
-		    <select id="Plname" name="piclens_name_image">
-			{foreach from=$PlName item=PlName}
-				<option value="{$PlName.ID}" {$PlName.SELECTED}>{$PlName.NAME}</option>
-			{/foreach}
-		    </select>
-		
-		</TD>
-		<TD > 
-		     &nbsp;&nbsp;<input type="checkbox" name="piclens_cat_view" {$PICLENS_CAT_VIEW}/> {'piclens_rsscfg_namecat'|@translate}
-		</TD > 
-		
-
-	</TR>
-	<TR>
-		<TD > 
-			 - {'piclens_rsscfg_desc'|@translate}
-		</TD > 
-		<TD colspan="2"> 		
-		    <select id="Pldesc" name="piclens_name_desc">
-			{foreach from=$PlDesc item=PlDesc}
-				<option value="{$PlDesc.ID}" {$PlDesc.SELECTED}>{$PlDesc.NAME}</option>
-			{/foreach}
-		    </select>
-		
-		</TD>
-
-	</TR>
-	<TR>
-		<TD > 
 		     - <input type="checkbox" name="piclens_video" {$PICLENS_VIDEO}/> {'piclens_rsscfg_video'|@translate}
 		</TD > 
@@ -172,4 +140,88 @@
 	<br/>
 </fieldset>
+
+<fieldset>
+	<legend>{'piclens_xml_config'|@translate}</legend>
+	<table border="1">
+	  <caption> {'piclens_xml_legend'|@translate} </CAPTION>
+	  <tr>
+		 <th> {'piclens_picture_legend'|@translate} </th>
+		 <th> {'piclens_cat_legend'|@translate} </th>
+		 <th> {'piclens_global_legend'|@translate} </th>
+	  </tr>
+	  <tr>
+		 <td> <b>%I1</b> : {'img_id_legend'|@translate} </td>
+		 <td> <b>%C1</b> : {'cat_id_legend'|@translate} </td>
+		 <td> <b>%G1</b> : {'root_path_legend'|@translate} </td>
+	  </tr>
+	  <tr>
+		 <td> <b>%I2</b> : {'img_name_legend'|@translate} </td>
+		 <td> <b>%C2</b> : {'cat_name_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+	  </tr>
+	  <tr>
+		 <td> <b>%I3</b> : {'img_description_legend'|@translate} </td>
+		 <td> <b>%C3</b> : {'cat_description_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+	  </tr>
+	  <tr>
+		 <td> <b>%I4</b> : {'img_author_legend'|@translate} </td>
+		 <td> <b>%C4</b> : {'cat_dir_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+	  </tr>
+	  <tr>
+		 <td> <b>%I5</b> : {'img_URLThumb_legend'|@translate} </td>
+		 <td> <b>%C5</b> : {'cat_dirFull_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+	  </tr>
+	  <tr>
+		 <td> <b>%I6</b> : {'img_URLNormal_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+		 <td> &nbsp; </td>
+	  </tr>
+	  <tr>
+		 <td> <b>%I7</b> : {'img_URLHigh_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+		 <td> &nbsp; </td>
+	  </tr>
+	  <tr>
+		 <td> <b>%I8</b> : {'img_URLPicturephp_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+		 <td> &nbsp; </td>
+	  </tr>
+	  <tr>
+		 <td> <b>%I9</b> : {'img_URLThumbFull_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+		 <td> &nbsp; </td>
+	  </tr>
+	  <tr>
+		 <td> <b>%IA</b> : {'img_URLNormalFull_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+		 <td> &nbsp; </td>
+	  </tr>
+	  <tr>
+		 <td> <b>%IB</b> : {'img_URLHighFull_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+		 <td> &nbsp; </td>
+	  </tr>
+	  <tr>
+		 <td> <b>%IC</b> : {'img_filename_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+		 <td> &nbsp; </td>
+	  </tr>
+	</table> 
+
+<table>
+    <tr>
+        <td>{'piclens_rsscfg_name'|@translate}</td>
+        <td><input type="text" size="65" maxlength="255" value="{$PICLENS_RSS_NAME}" name="piclens_rss_name" /></td>
+    </tr>
+       <tr>
+        <td>{'piclens_rsscfg_desc'|@translate}</td>
+        <td><input type="text" size="65" maxlength="255" value="{$PICLENS_RSS_DESC}" name="piclens_rss_desc" /></td>
+    </tr>
+ 
+</table>
+</fieldset>
  
 <p><input type="submit" name="submit" value="{'piclens_admin_submit'|@translate}" /></p>
Index: /extensions/piclens/generate_rss.php
===================================================================
--- /extensions/piclens/generate_rss.php	(revision 3613)
+++ /extensions/piclens/generate_rss.php	(revision 3614)
@@ -107,5 +107,5 @@
 					  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
 					  img.level, ic.category_id, cat.name AS catname, cat.comment AS catcomment, cat.rank, cat.status, 
-					  cat.visible, cat.uppercats, cat.permalink '
+					  cat.visible, cat.uppercats, cat.permalink, cat.dir '
 					.' FROM ' . IMAGES_TABLE.' AS img'
 					.' INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON img.id = ic.image_id'
@@ -131,5 +131,5 @@
 					  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
 					  img.level, ic.category_id, cat.name AS catname, cat.comment AS catcomment, cat.rank, cat.status, 
-					  cat.visible, cat.uppercats, cat.permalink '
+					  cat.visible, cat.uppercats, cat.permalink, cat.dir '
 					.' FROM ' . IMAGES_TABLE.' AS img'
 					.' INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON img.id = ic.image_id'
@@ -165,5 +165,5 @@
 			$query = 'SELECT img.id, img.file, img.date_available, img.date_creation, img.tn_ext, img.name, 
 					  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
-					  img.level '
+					  img.level,  '
 					.' FROM '.FAVORITES_TABLE.' AS fav '
 					.' INNER JOIN '.IMAGES_TABLE.' AS img ON fav.image_id = img.id'
@@ -230,5 +230,5 @@
 							  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
 							  img.level, ic.category_id, cat.name AS catname, cat.comment AS catcomment, cat.rank, cat.status, 
-							  cat.visible, cat.uppercats, cat.permalink '
+							  cat.visible, cat.uppercats, cat.permalink, cat.dir '
 					.' FROM ' . IMAGES_TABLE.' AS img'
 					.' INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON img.id = ic.image_id'
@@ -298,5 +298,5 @@
 						  img.comment, img.author, img.hit ,img.filesize, img.average_rate, img.has_high, img.path, 
 						  img.level, ic.category_id, cat.name AS catname, cat.comment AS catcomment, cat.rank, cat.status, 
-						  cat.visible, cat.uppercats, cat.permalink '
+						  cat.visible, cat.uppercats, cat.permalink, cat.dir '
 				.' FROM ' . IMAGES_TABLE.' AS img'
 				.' INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON img.id = ic.image_id'
@@ -473,9 +473,17 @@
 			// Show rss item for a picture
 			echo "<item>\n";
-			
-			// Recuperation informations de la categorie (Present maintenant dans row['catname'])
-			//$catinfo = get_cat_info($row['category_id']);
-
-			
+
+
+		
+            echo "<title><![CDATA["
+                  .parse($obj->my_config['piclens_rss_name'], $row)
+                  ."]]></title>\n";
+
+
+            echo '<media:description type="html"><![CDATA['
+                .parse($obj->my_config['piclens_rss_desc'], $row)
+                .']]> </media:description>';
+                 
+/*			
 			//  Extended description for the comment and category name
 			if ($plugins_ExtendedDesc)	// Extended description compatibility
@@ -530,4 +538,5 @@
 					break;
 			}
+*/            
 			echo "\n";
 			
@@ -612,3 +621,21 @@
 }
 
+
+function parse($data, $row)
+{
+	include (PICLENS_PATH.'include/config_param.inc.php');
+
+	$patterns = array();
+	$replacements = array();
+	foreach ($piclens_parse as $key => $value)
+	{
+		array_push($patterns, $key); 
+		array_push($replacements, $value);
+	}
+
+	return str_replace($patterns, $replacements, $data);
+}
+
+
+
 ?>
Index: /extensions/piclens/include/config_param.inc.php
===================================================================
--- /extensions/piclens/include/config_param.inc.php	(revision 3614)
+++ /extensions/piclens/include/config_param.inc.php	(revision 3614)
@@ -0,0 +1,84 @@
+<?php
+// Fichier contenant les parametres du plugin (pour le parser)
+$piclens_parse = array(
+		'%I1'	=> isset($row['id']) ? $row['id'] : ''  ,
+		'%I2'	=> isset($row['name']) ? trigger_event('render_element_description',$row['name']) : ''  ,
+		'%I3'	=> isset($row['comment']) ? trigger_event('render_element_description',$row['comment']) : ''  ,
+		'%I4'	=> isset($row['author']) ? $row['author'] : ''  ,
+		'%I5'	=> isset ($row) ? (get_thumbnail_location($row)) : '' ,
+		'%I6'	=> isset($row['path']) ? $row['path']: '',
+		'%I7'	=> isset($row['path']) ? 
+                                            ($row['has_high'] and $user['enabled_high'] 
+                                                ? dirname($row['path']).'/pwg_high/'.basename($row['path']) 
+                                                : $row['path'])
+                                          : '',
+
+								
+		'%I8'	=> (isset($row['category_id']) & isset($row['catname'])) ?
+										duplicate_picture_url(array(	'image_id' => $row['id'],
+																		'image_file' => $row['file'],
+																		'category' => array(
+																						'id' => $row['category_id'],
+																						'name' => $row['catname'],
+																						'permalink' => ''
+																					  )
+																		),
+																		array('start')
+															 )
+										:
+										duplicate_picture_url( array(	'image_id' => $row['id'],
+																		'image_file' => $row['file']
+																	),
+																	 array('start')
+															 )
+					,
+
+		'%I9'	=> isset ($row) ? ( url_is_remote(get_thumbnail_location($row)) ? get_thumbnail_location($row) : embellish_url(get_root_url().get_thumbnail_location($row))) : '' ,
+		'%IA'	=> isset($row['path']) ? (url_is_remote($row['path']) ? $row['path']: embellish_url(get_root_url().$row['path'])) : '',
+		'%IB'	=> isset($row['path']) ? 
+                                            ($row['has_high'] and $user['enabled_high'] 
+                                                ? (url_is_remote($row['path']) 
+                                                    ? dirname($row['path']).'/pwg_high/'.basename($row['path']) 
+                                                    : embellish_url( get_root_url(). dirname($row['path']).'/pwg_high/'.basename($row['path'])))
+                                                : (url_is_remote($row['path']) ? $row['path']: embellish_url(get_root_url().$row['path']))
+                                            )
+										  : '',								
+		'%IC'	=> isset($row['file']) ? $row['file'] : ''  ,
+
+		'%G1'	=> get_root_url(),
+
+		'%C1'	=> isset($row['category_id']) ? $row['category_id'] : '',
+		'%C2'	=> isset($row['catname']) ? trigger_event('render_category_name',$row['catname']) : '',
+		'%C3'	=> isset($row['catcomment']) ? trigger_event('render_category_description',$row['catcomment']) : '',
+		'%C4'	=> isset($row['dir']) ? $row['dir'] : '',
+		'%C5'	=> isset($row['dir']) ? embellish_url( get_root_url().'galerie/'.$row['dir']) : '',
+		
+		);
+/*
+%Ix Image
+	%I1 : IMGID			ID
+	%I2 : IMGNAME 		nom_image
+	%I3 : IMGDESC		description
+	%I4 : IMGAUTHOR		auteur
+	%I5 : IMGTHUMB		URLThumb (path non complet : /galerie/category...)
+	%I6 : IMGNORMAL		URLNormal (path non complet : /galerie/category...)
+	%I7 : IMGHIGH		URLHigh (path non complet : /galerie/category...)
+	%I8 : IMGPICTURE	URLPicture 
+	%I9 : IMGTHUMBFULL	Lien complet vers Miniature
+	%IA : IMGNORMALFULL	Lien complet vers Normale
+	%IB : IMGHIGHFULL	Lien complet vers High
+	%IC : IMGFILE		nom_fichier
+
+%Gx Generaux
+	%G1 : 		root path : URL du piwigo
+	
+
+%Cx : Categories
+	%C1 : CATID			ID
+	%C2 : CATNAME		nom
+	%C3 : CATDESC		description
+	%C4 : CATPATH		Path de la galerie (non complet)
+	%C5 : CATPATHFULL	Path complet de la galerie
+
+*/
+?>
Index: /extensions/piclens/include/default_values.inc.php
===================================================================
--- /extensions/piclens/include/default_values.inc.php	(revision 3613)
+++ /extensions/piclens/include/default_values.inc.php	(revision 3614)
@@ -82,3 +82,7 @@
 $piclens_default_values['piclens_wall_linkCSS']				= "";
 
+
+$piclens_default_values['piclens_rss_name'] = "%I2"; // Nom
+$piclens_default_values['piclens_rss_desc'] = "%I3"; // Description
+
 ?>
Index: /extensions/piclens/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piclens/language/en_UK/plugin.lang.php	(revision 3613)
+++ /extensions/piclens/language/en_UK/plugin.lang.php	(revision 3614)
@@ -178,4 +178,33 @@
 $lang['piclens_wallcfg_linkCSS']    = 'CSS string to be applied to descriptions';
 
+$lang['piclens_xml_config'] = 'Name and descriptions Configuration';
+$lang['piclens_xml_legend']	= 'Parameters for name and description';
+
+//legende
+$lang['piclens_picture_legend']	    = 'Picture';
+$lang['piclens_cat_legend']		    = 'Category';
+$lang['piclens_global_legend']		= 'Global';
+$lang['img_id_legend']				= 'Picture ID';	// %I1
+$lang['img_name_legend']			= 'Picture Name';	// %I2
+$lang['img_description_legend']		= 'Picture Description'; // %I3
+$lang['img_author_legend']			= 'Picture Author';	// %I4
+$lang['img_URLThumb_legend']		= 'Thumbnail URL (URL From gallerie)'; // %I5
+$lang['img_URLNormal_legend']		= 'Piture URL (URL From gallerie)';	// %I6
+$lang['img_URLHigh_legend']			= 'HD Picture URL (URL From gallerie)';	// %I7
+$lang['img_URLPicturephp_legend']	= 'Link to picture page (picture.php)';	//%I8
+$lang['img_URLThumbFull_legend']	= 'Thumbnail URL (full URL)'; // %I9
+$lang['img_URLNormalFull_legend']	= 'Piture URL (Full URL)';	// %IA
+$lang['img_URLHighFull_legend']		= 'HD Picture URL (Full URL)';	// %IB
+$lang['img_filename_legend']		= 'Picture file name'; // %IC
+
+$lang['root_path_legend']			= 'Pïwigo path'; // %G1
+
+$lang['cat_id_legend']				= 'Category ID'; // %C1
+$lang['cat_name_legend']			= 'Category name'; // %C2
+$lang['cat_description_legend']		= 'Category description'; // %C3
+$lang['cat_dir_legend']				= 'Path to category (path from Gallerie)'; // %C4
+$lang['cat_dirFull_legend']			= 'Path to category (Full path)'; // %C4
+// Fin legende
+
 
 ?>
Index: /extensions/piclens/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 3613)
+++ /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 3614)
@@ -180,3 +180,33 @@
 $lang['piclens_wallcfg_linkCSS']    = 'Style css à appliquer aux descriptions';
 
+
+$lang['piclens_xml_config'] = 'Configuration des noms et descriptions';
+$lang['piclens_xml_legend']	= 'Types utilisables pour les param&egrave;tres suivants';
+
+//legende
+$lang['piclens_picture_legend']	    = 'Image';
+$lang['piclens_cat_legend']		    = 'Cat&eacute;gorie';
+$lang['piclens_global_legend']		= 'Global';
+$lang['img_id_legend']				= 'ID de l\'image';	// %I1
+$lang['img_name_legend']			= 'Nom de l\'image';	// %I2
+$lang['img_description_legend']		= 'Description de l\'image'; // %I3
+$lang['img_author_legend']			= 'Auteur de l\'image';	// %I4
+$lang['img_URLThumb_legend']		= 'URL de la miniature (path non complet)'; // %I5
+$lang['img_URLNormal_legend']		= 'URL de l\'image (path non complet)';	// %I6
+$lang['img_URLHigh_legend']			= 'URL de l\'image en haute d&eacute;finition (path non complet)';	// %I7
+$lang['img_URLPicturephp_legend']	= 'Lien vers l\'image sous PIWIGO (picture.php)';	//%I8
+$lang['img_URLThumbFull_legend']	= 'URL de la miniature (path complet)'; // %I9
+$lang['img_URLNormalFull_legend']	= 'URL de l\'image (path complet)';	// %IA
+$lang['img_URLHighFull_legend']		= 'URL de l\'image en haute d&eacute;finition (path complet)';	// %IB
+$lang['img_filename_legend']		= 'Nom du fichier image'; // %IC
+
+$lang['root_path_legend']			= 'Path de piwigo'; // %G1
+
+$lang['cat_id_legend']				= 'ID de la cat&eacute;gorie'; // %C1
+$lang['cat_name_legend']			= 'Nom de la cat&eacute;gorie'; // %C2
+$lang['cat_description_legend']		= 'Description de la cat&eacute;gorie'; // %C3
+$lang['cat_dir_legend']				= 'R&eacute;pertoire de la cat&eacute;gorie (path non complet)'; // %C4
+$lang['cat_dirFull_legend']			= 'R&eacute;pertoire de la cat&eacute;gorie (path complet)'; // %C5
+// Fin legende
+
 ?>
Index: /extensions/piclens/piclenswall.tpl
===================================================================
--- /extensions/piclens/piclenswall.tpl	(revision 3613)
+++ /extensions/piclens/piclenswall.tpl	(revision 3614)